Bug 497163 - Incorrect command name from the core file
Incorrect command name from the core file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: file (Show other bugs)
5.3
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Daniel Novotny
BaseOS QE
: ZStream
Depends On: 486328
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 11:45 EDT by RHEL Product and Program Management
Modified: 2010-10-23 05:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 08:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2009-04-22 11:45:25 EDT
This bug has been copied from bug #486328 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 4 Daniel Novotny 2009-04-24 05:48:52 EDT
fixed in file-4.17-15.el5_3.1
Comment 8 errata-xmlrpc 2009-04-30 08:46:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0456.html
Comment 10 Gerrit Slomma 2009-05-16 04:51:30 EDT
I try it here in desperate hope someone is still reading comments about this issue.
The Errata is out in the open: RHBA-2009-0456.
It is a Bug-Fix-Errata, nothing serious though.
Why is it drawing that much dependencies?

# yum list file
Installed Packages
file.x86_64                              4.17-15                                      installed
Available Packages
file.x86_64                              4.17-15.el5_3.1                              rhel-5-updates

# yum upgrade file
(...)
Dependencies Resolved

====================================================================================================
 Package                     Arch          Version                      Repository             Size
====================================================================================================
Updating:
 file                        x86_64        4.17-15.el5_3.1              rhel-5-updates        318 k
Installing for dependencies:
(...)
Transaction Summary
====================================================================================================
Install    112 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total size: 52 M
Total download size: 10 M
Is this ok [y/N]: n
Exiting on user Command
Complete!

In a productive environment i defenitely would not apply a patch that pulls in 112 packages - amongst them gnome-vfs2, gnome-keyring, audiofile, alsa-lib, cups-libs - on a system where those packages are not needed and with the previous file-package installed aren't needed too.

# yum list installed|wc -l
213

This was a core-install with openssh and yum installed afterwards to achieve a minimal set.

The requires from both packages are the same:

file-4.17-15

Requires

/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libmagic.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)

Provides

file = 4.17-15
libmagic.so.1()(64bit)

file-4.17-15.el5_3.1

Requires

/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libmagic.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)

Provides

file = 4.17-15.el5_3.1
libmagic.so.1()(64bit)

So who is causing this and could this be fixed?
Comment 11 Daniel Novotny 2009-05-18 06:37:46 EDT
Gerrit, will you try "yum update" instead of "yum upgrade" ?

also, please post here the dependency resolve list
Comment 12 Gerrit Slomma 2009-05-21 15:32:57 EDT
Hello

I did
# yum clean all
# yum update file

This worked without pulling the other rpms in.

Note You need to log in before you can comment on or make changes to this bug.